Author Topic: BackBox Linux 4.6 released  (Read 7528 times)

raffaele

  • Administrator
  • Hero Member
  • *****
  • Posts: 506
    • View Profile
    • My Blog
on: May 27, 2016, 09:27:54 AM
The BackBox Team is pleased to announce the last of 4 minor releases... BackBox Linux 4.6!

In this release we have fixed some minor bugs, configured ruby2.2 as default, updated base system and tools.

The ISO images for 32bit & 64bit can be downloaded from the official web site download section:

http://www.backbox.org/download

What's new
  • Updated Linux Kernel 4.2
  • Updated Ruby 2.2
  • Updated hacking tools: beef, dirsearch, metasploit, openvas, setoolkit, volatility, wpscan, wxhexeditor, yara, etc.

System requirements
  • 32-bit or 64-bit processor
  • 512 MB of system memory (RAM)
  • 10 GB of disk space for installation
  • Graphics card capable of 800×600 resolution
  • DVD-ROM drive or USB port (3 GB)

Upgrade instructions

To upgrade from a previous version (BackBox 4.x) follow these instructions:

sudo apt-get update
sudo apt-get dist-upgrade
sudo apt-get install -f

# For amd64
sudo apt-get install linux-headers-generic-lts-wily linux-image-generic-lts-wily linux-signed-generic-lts-wily linux-signed-image-generic-lts-wily
sudo apt-get install xserver-xorg-lts-wily --install-recommends

# For i386
sudo apt-get install linux-headers-generic-lts-wily linux-image-generic-lts-wily
sudo apt-get install xserver-xorg-lts-wily --install-recommends

sudo apt-get install ruby ruby-dev ruby2.1 ruby2.1-dev ruby2.2-dev ruby2.2 --reinstall
sudo apt-get purge ri1.9.1 ruby1.9.1 bundler libruby2.0 ruby2.0 ruby2.0-dev libruby1.9.1 ruby-full

sudo gem cleanup
sudo rm -rf /var/lib/gems/1.*
sudo rm -rf /var/lib/gems/2.0.*
sudo apt-get install backbox-default-settings backbox-desktop backbox-menu backbox-tools --reinstall
sudo apt-get install beef-project metasploit-framework whatweb wpscan setoolkit --reinstall
sudo apt-get autoremove --purge
sudo apt-get install openvas sqlite3
sudo openvas-launch sync
sudo openvas-launch start
sudo update-rc.d apache2 disable
sudo update-rc.d polipo disable
sudo update-rc.d openvas-gsa disable
sudo update-rc.d openvas-manager disable
sudo update-rc.d openvas-scanner disable
« Last Edit: December 06, 2016, 12:53:00 PM by raffaele »

raffaele@backbox:~$ Get root or die tryin'